FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Terminal::Selection Class Reference

## Public Member Functions
bool | clear (void)
bool | dragged_off (int row, int col, bool char_right)
int | ecol (void) const
void | end (void)
int | erow (void) const
bool | extend (int row, int col, bool char_right)
bool | get_selection (int &srow, int &scol, int &erow, int &ecol) const
| Return selection start/end.
bool | is_selection (void) const
void | push_clear ()
void | push_rowcol (int row, int col, bool char_right)
int | scol (void) const
void | scroll (int nrows)
void | select (int srow, int scol, int erow, int ecol)
| Selection (Fl_Terminal *terminal)
void | selectionbgcolor (Fl_Color val)
Fl_Color | selectionbgcolor (void) const
void | selectionfgcolor (Fl_Color val)
Fl_Color | selectionfgcolor (void) const
int | srow (void) const
bool | start (int row, int col, bool char_right)
void | start_push ()
int | state (void) const

## Member Function Documentation

## ◆ get_selection()

bool Fl_Terminal::Selection::get_selection | ( | int & | srow,
|  | int & | scol,
|  | int & | erow,
|  | int & | ecol ) const

Return selection start/end.

Ensures (start < end) to allow walking 'forward' thru selection, left-to-right, top-to-bottom.

Returns:

- true – valid selection values returned
- false – no selection was made, returned values undefined

The documentation for this class was generated from the following files:

- Fl_Terminal.H
- Fl_Terminal.cxx